export const BASIC_INTEGRATION = `import { NetlifyIntegration } from '@netlify/sdk'

const integration = new NetlifyIntegration();

integration.addBuildHook("onPreBuild", () => {
    console.log("Hello there.");
});

export { integration };`;
export const createBasicIntegrationUI = (friendlyName) => `import { NetlifyIntegrationUI } from "@netlify/sdk";

const integrationUI = new NetlifyIntegrationUI("${friendlyName}");

const surface = integrationUI.addSurface("integrations-settings");

const root = surface.addRoute("/");

root.addText({
    value: "Welcome to the ${friendlyName} integration UI. This is where you can create your own custom UI for your integration, which will be displayed in the Netlify UI."
});

export { integrationUI };

`;
